/* -----------------------------------------------------------------------------
   (2) Plots
   -------------------------------------------------------------------------- */

// graph scheme
which scheme-modern.scheme

// export folder
cap mkdir "outputs"

gl opts "yti(EP election turnout (% registered voters))"
gl opts "$opts legend(off) scheme(modern)"

/* -----------------------------------------------------------------------------
   Fig. 1 - Turnout
   -------------------------------------------------------------------------- */

loc fig1 "outputs/fig-01-turnout.png"

if !(fileexists("`fig1'")) {
	
	tw ///
		(line voter_turnout year, lp(solid)) ///
		(line vap_turnout year, lp(shortdash)) ///
		, xti("") subtitle(, size(medium) fcolor(gs14)) ///
		ylab(10(20)90, labsize(medium)) xlab(1979(10)2019, labsize(medium)) ///
		legend(bmargin(10 0 0 0) symxsize(*4) size(medlarge)) ///
		by(iso3c, legend(at(29) pos(3)) note("")) ///
		scheme(modern) ///
		name(turnout, replace)

	gr export "`fig1'"

}

/* -----------------------------------------------------------------------------
   Fig. 2a - Rounds
   -------------------------------------------------------------------------- */

loc fig2a "outputs/fig-02a-rounds.png"

if !(fileexists("`fig2a'")) {

	tw (lfitci voter_turnout ne_count) ///
		(sc voter_turnout ne_count, color(gs8)), ///
		$opts ///
		name(ne_count, replace)

	gr export "`fig2a'"

}

/* -----------------------------------------------------------------------------
   Fig. 2b - Contests
   -------------------------------------------------------------------------- */

loc fig2b "outputs/fig-02b-contests.png"

if !(fileexists("`fig2b'")) {

	tw (lfitci voter_turnout ne_count2) ///
		(sc voter_turnout ne_count2, color(gs8)), ///
		$opts ///
		name(ne_count2, replace)

	gr export "`fig2b'"

}

/* -----------------------------------------------------------------------------
   Fig. 2c - Rounds (weighted as in IEF)
   -------------------------------------------------------------------------- */

loc fig2c "outputs/fig-02c-rounds-weighted.png"

if !(fileexists("`fig2c'")) {

	tw (lfitci voter_turnout ne_weighted) ///
		(sc voter_turnout ne_weighted, color(gs8)), ///
		$opts ///
		name(ne_weighted, replace)

	gr export "`fig2c'"

}

/* -----------------------------------------------------------------------------
   Fig. 2d - Contests (weighted as in IEF)
   -------------------------------------------------------------------------- */

loc fig2d "outputs/fig-02d-contests-weighted.png"

if !(fileexists("`fig2d'")) {

	tw (lfitci voter_turnout ne_weighted2) ///
		(sc voter_turnout ne_weighted2, color(gs8)), ///
		$opts ///
		name(ne_weighted2, replace)

	gr export "`fig2d'"

}

/* -----------------------------------------------------------------------------
   Fig. 3 - Time since last national election (not saved
   -------------------------------------------------------------------------- */

loc fig3 "outputs/fig-03-turnout-vs-time-since-last.png"

if !(fileexists("`fig3'")) {

	tw (lfitci voter_turnout ne_months) ///
		(sc voter_turnout ne_months, color(gs8)), ///
		xti("Number of months elapsed since last election (square root)") ///
		$opts ///
		name(ne_months, replace)

	gr export "`fig3'"

}

// done
